DESKTOP-FILE-INSTALL(1)

NAME
desktop-file-install - Install desktop files

SYNOPSIS
desktop-file-install [--delete-original] [--dir=DIR] [-m MODE|--mode=MODE] [--vendor=VENDOR] [--rebuild-mime-info-cache] [EDITOPTION]... FILE...

DESCRIPTION
The desktop-file-install program is a tool to install desktop files. It is mostly useful for developers and packagers. Various operations to edit the files can be realized thanks to the available options.

desktop-file-install will always try to validate the resulting desktop file, and if it fails to do so, the installation will be aborted.

The list of registered categories and desktop environments is defined in the Menu specification: http://freedesktop.org/wiki/Specifications/menu-spec.

OPTIONS
The following options are supported:

--delete-original
    Delete the source desktop files, leaving only the target files. Effectively "renames" the desktop files.

--dir=DIR
    Install desktop files to the DIR directory.

-m, --mode=MODE
    Set the permissions of the destination files to MODE.

--vendor=VENDOR
    Add a vendor prefix to the desktop files. If a file already has this prefix, nothing happens; else, the file will be named VENDOR-FILE. For example: if VENDOR is freedesktop.org and FILE is specification.desktop, the result file will be freedesktop.org-specification.desktop.

--rebuild-mime-info-cache
    Rebuild the MIME types application database after installing the desktop files. See update-desktop-database(1) for information about this database.

Various options are available to edit the desktop files. All of them can be specified more than once:

--copy-name-to-generic-name
    Copy the value of the Name key to the GenericName key. Note that a desktop file requires a Name key to be valid, so this option will always have an effect.

--copy-generic-name-to-name
    Copy the value of the GenericName key to the Name key, if the GenericName key is present.

--remove-key=KEY
    Remove the KEY key from the desktop files, if present.

--add-category=CATEGORY
    Add CATEGORY to the list of categories (key Categories). If CATEGORY was already present in the list, this operation is a no-op. A non-registered category should be prefixed with X-.

--remove-category=CATEGORY
    Remove CATEGORY from the list of categories (key Categories). If CATEGORY was not present in the list, this operation is a no-op.

--add-mime-type=MIME-TYPE
    Add MIME-TYPE to the list of MIME types (key MimeType). If MIME-TYPE was already present in the list, this operation is a no-op.

--remove-mime-type=MIME-TYPE
    Remove MIME-TYPE from the list of MIME types (key MimeType). If MIME-TYPE was not present in the list, this operation is a no-op.

--add-only-show-in=ENVIRONMENT
    Add ENVIRONMENT to the list of desktop environment where the desktop files should be displayed (key OnlyShowIn). If ENVIRONMENT was already present in the list, this operation is a no-op. A non-registered desktop environment should be prefixed with X-. Note that an empty OnlyShowIn key in a desktop file means that the desktop file will be displayed in all environments.

--remove-only-show-in=ENVIRONMENT
    Remove ENVIRONMENT from the list of desktop environment where the desktop files should be displayed (key OnlyShowIn). If ENVIRONMENT was not present in the list, this operation is a no-op.

ENVIRONMENT
Some environment variables change the behavior of desktop-file-install:

DESKTOP_FILE_VENDOR

    This variable can be used as an alternative to the --vendor option. If the --vendor option is used, this environment variable will be ignored.

DESKTOP_FILE_INSTALL_DIR

    This variable can be used as an alternative to the --dir option. If the --dir option is used, this environment variable will be ignored.

BUGS
If you find bugs in the desktop-file-install program, please report these on https://bugs.freedesktop.org.

SEE ALSO
desktop-file-validate(1) update-desktop-database(1)